## A master file for generating "autoloading" data package zzz.R files
## To setup for a new data package
## > library(Biobase)
## > copySubstitute("dataPkgLoad.R","<pkg>/R/zzz.R",list(PACKAGE=XXXXX))
## Then the file will be properly prepared

.getDatasets <- function(path) {
    fp<-file.path(path, "data", "filelist")
    if (file.exists(fp)) {
       rdas<-readLines(fp)
       gg<-grep( "\\.*.rda",rdas)
       rdas <- gsub("(^.*)\.rda", "\\1", rdas[gg])
       return(rdas)
    }
    else
       return(c())
}

.rdas <- .getDatasets(.find.package("hgu2beta7"))

for (.i in .rdas)
    eval(substitute(obj <- delay((function(i, pkg){
        env <- new.env()
        data(list=i,package="hgu2beta7")
        get(i, env)
    })(obj, "hgu2beta7")), list(obj=.i)))

rm(.getDatasets,.i,.rdas)

.no_S3_generics = TRUE
